Bug 1186448 (CVE-2015-0239) - CVE-2015-0239 kernel: kvm: insufficient sysenter emulation when invoked from 16-bit code
Summary: CVE-2015-0239 kernel: kvm: insufficient sysenter emulation when invoked from ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0239
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1186449 1186450 1186451 1186452 1186453
Blocks: 1180219
TreeView+ depends on / blocked
 
Reported: 2015-01-27 16:59 UTC by Petr Matousek
Modified: 2019-09-29 13:27 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Linux kernel KVM subsystem's sysenter instruction emulation was not sufficient. An unprivileged guest user could use this flaw to escalate their privileges by tricking the hypervisor to emulate a SYSENTER instruction in 16-bit mode, if the guest OS did not initialize the SYSENTER model-specific registers (MSRs). Note: Certified guest operating systems for Red Hat Enterprise Linux with KVM do initialize the SYSENTER MSRs and are thus not vulnerable to this issue when running on a KVM hypervisor.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1272 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-07-22 11:56:25 UTC
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Petr Matousek 2015-01-27 16:59:16 UTC
It was found that the Linux kernel KVM subsystem's sysenter instruction
emulation was not sufficient.

An unprivileged guest user could use this flaw to escalate their privileges by
tricking the hypervisor to emulate a SYSENTER instruction in 16-bit mode, if
the guest OS does not initialize the SYSENTER MSRs.

Please note that the Red Hat Enterprise Linux with KVM certified guest operating
systems do initialize the SYSENTER MSRs and are thus not vulnerable to
this issue when running on KVM hypervisor.

References:
http://www.openwall.com/lists/oss-security/2015/01/27/6

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=f3747379accba8e95d70cec0eae0582c8c182050

Acknowledgements:

Red Hat would like to thank Nadav Amit for reporting this issue.

Comment 2 Petr Matousek 2015-01-27 17:00:50 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1186453]

Comment 4 Petr Matousek 2015-01-27 17:07:19 UTC
Statement:

This issue did not affect the kvm packages as shipped with Red Hat Enterprise Linux 5 as they lack support for sysenter instruction emulation.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7. A future update may address this issue.

Please note that the Red Hat Enterprise Linux with KVM certified guest operating
systems do initialize the SYSENTER MSRs and are thus not vulnerable to
this issue when running on KVM hypervisor.

Comment 6 Fedora Update System 2015-02-06 04:00:25 UTC
kernel-3.18.5-201.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-02-07 04:01:06 UTC
kernel-3.18.5-101.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2015-07-22 08:41:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1272 https://rhn.redhat.com/errata/RHSA-2015-1272.html

Comment 9 errata-xmlrpc 2015-11-19 21:19:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 10 errata-xmlrpc 2015-11-19 23:24:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.